org.red5.server.api.stream

## Interface IStream

All Known Subinterfaces:
  IBroadcastStream, IClientBroadcastStream, IClientStream, IOnDemandStream, IPlaylistSubscriberStream, IServerStream, ISingleItemSubscriberStream, ISubscriberStream

All Known Implementing Classes:
  AbstractClientStream, AbstractStream, ClientBroadcastStream, PlaylistSubscriberStream, ServerStream, SingleItemSubscriberStream

    public interface IStream

Base interface for stream objects. A stream object is always associated with a scope.

### Method Summary

Methods
`void` `close()` Close this stream.
`IStreamCodecInfo` `getCodecInfo()` Get Codec info for a stream.
`long` `getCreationTime()` Returns the timestamp at which the stream was created.
`String` `getName()` Get the name of the stream.
`IScope` `getScope()` Get the scope this stream is associated with.
`void` `start()` Start this stream.
`void` `stop()` Stop this stream.

### Method Detail

#### getName

    String getName()

Get the name of the stream. The name is unique across the server. This is just an id of the stream and NOT the name that is used at client side to subscribe to the stream. For that name, use `IBroadcastStream.getPublishedName()`

Returns:
  the name of the stream

#### getCodecInfo

    IStreamCodecInfo getCodecInfo()

Get Codec info for a stream.

Returns:
  codec info

#### getScope

    IScope getScope()

Get the scope this stream is associated with.

Returns:
  scope object

#### start

    void start()

Start this stream.

#### stop

    void stop()

Stop this stream.

#### close

    void close()

Close this stream.

#### getCreationTime

    long getCreationTime()

Returns the timestamp at which the stream was created.

Returns:
  creation timestamp